/* You can add global styles to this file, and also import other style files */
@import "~chartist/dist/scss/chartist.scss";
@import "./custom-theme.scss";
@import "./style/variables.scss";
@import "~bootstrap/scss/bootstrap.scss";
@import "~bootstrap/scss/variables";
$material-icons-font-path: '~material-design-icons/iconfont/';
@import '~material-design-icons/iconfont/material-icons.css';

$sm-light-trsp: rgba( $light, .85);
$sm-dark-trsp: rgba( $dark, .85);

.material-icons.md-dark { color: $primary; }
.material-icons.md-light { color: $light; }

.btn .material-icons {
  vertical-align: middle;
}

.btn-xsm {
  @extend .btn-sm !optional;
  line-height: 1;
  font-size: 0.6rem;
  height: fit-content;
}

.material-icons.md-14 { font-size: 14px; }

.material-icons.md-18 { font-size: 18px; }

.nav-bar-collapse {
  position: absolute;
}

.sm-background-light-trsp{
  background-color: $sm-light-trsp !important;
}

.bg-dark-trsp {
  background-color: $sm-dark-trsp;
}

.mat-dialog-container{
  background-color: $light;
  color: $black;
  display: inherit;
  padding: 0;
}

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

form {
  display: flex;
  padding: 1em;
}

table{
  width: 100%;
}

.mat-form-field{
  flex-grow: 1;
}
